# Roles are named sets of auth items.
#
# Note that the roles are grouped by user_type, to get distincet sets for Teacher, Guardian, Supporter, etc.
class AuthRole < ActiveRecord::Base

  has_and_belongs_to_many :auth_items
  has_and_belongs_to_many :users

  class << self
    def create_default_roles!
      create!(name: 'Lehrer', description: 'Personal an Schulen, das in der Lehre und Förderung tätig ist',user_type: 'Teacher',is_default_role: true)
      create!(name: 'Verwalter' , description: 'Verwaltungspersonal, keine Lehre und Förderung',user_type: 'Manager',is_default_role: true)

    end


  end
end
