module Grants
  class DiagnosticBorrow
      def self.grants
        {
          create: {
              name: 'ausleihen',
              scopes: {
                  system_wide: {
                      name: 'Systemweit',
                      detailed_description: "keine Einschränkungen" ,
                      user_types: [::Manager,::Teacher],
                      default_for: [::Manager,::Teacher],
                      manager: -> ability do
                        ability.can :create, ::DiagnosticBorrow
                        ability.can :create_diagnostic_borrow, ::Institution
                      end,
                      teacher: -> ability do
                        ability.can :create, ::DiagnosticBorrow
                        ability.can :create_diagnostic_borrow, ::Institution
                      end
                  },

              }
          },
          read: {
              name: 'anzeigen',
              scopes: {
                  system_wide: {
                      name: 'Systemweit',
                      detailed_description: "keine Einschränkungen" ,
                      user_types: [::Manager,::Teacher],
                      default_for: [::Manager,::Teacher],
                      manager: -> ability do
                        ability.can :read, ::DiagnosticBorrow
                      end,
                      teacher: -> ability do
                        ability.can :read, ::DiagnosticBorrow
                      end
                  },
              }
          },
          update: {
              name: 'Rückgabe',
              scopes: {
                  system_wide: {
                      name: 'Systemweit',
                      detailed_description: "keine Einschränkungen" ,
                      user_types: [::Manager,::Teacher],
                      default_for: [::Manager,::Teacher],
                      manager: -> ability do
                        ability.can :update, ::DiagnosticBorrow
                      end,
                      teacher: -> ability do
                        ability.can :update, ::DiagnosticBorrow
                      end
                  },
              }
          }
        }
      end
  end
end