class PortfolioItemEvaluationDbrsController < ApplicationController

  before_filter :set_timezone

  def set_timezone
    Time.zone = 'GMT'
  end

  def cal_events
    respond_to do |format|
      format.json do
        @dbr = ::Portfolio::ItemEvaluationDbr.where(id: params[:id]).take!
        @results ={}
        (Date.parse(params[:start])..Date.parse(params[:end])).each do |date|
          @results[date.to_s] = @dbr.results.where('time > ? and time < ?',date.at_beginning_of_day, date.at_end_of_day).all
        end
      end
    end
  end

  def results
    respond_to do |format|
      format.html do
        @dbr = ::Portfolio::ItemEvaluationDbr.where(id: params[:id]).take!
        @date =   Time.at(params[:date].to_i).to_datetime.to_date
        @results = @dbr.results.where(:time => @date.beginning_of_day..@date.end_of_day).all
        render layout: false
      end
    end
  end

  def update
    @dbr = ::Portfolio::ItemEvaluationDbr.where(id: params[:id]).take!
    @date =   Time.at(params[:date].to_i).to_datetime.to_date
    authorize!(:update, @dbr.portfolio_item)
    @dbr.assign_attributes(dbr_params)
    respond_to do |format|
       @dbr.save
      format.js { render :update }
    end
  end

  def dbr_params
    params.require(:portfolio_item_evaluation_dbr).permit(
        results_attributes: [
            :id,:portfolio_item_evaluation_dbr_characteristic_id,:time,:value,:_destroy
        ]
    )
  end

end
