class PortfolioItemTargetsController < ApplicationController


  def edit
    @portfolio_item_target = ::Portfolio::ItemTarget.where(id: params[:id], evaluate: true).take!
    authorize!(:update, @portfolio_item_target.portfolio_item)
  end

  def update
    @portfolio_item_target = ::Portfolio::ItemTarget.where(id: params[:id], evaluate: true).take!
    authorize!(:update, @portfolio_item_target.portfolio_item)
    # ATTENTION: There is no authorization check at this point, that one can only update their own results.
    # ATM this is only done in view, which is not sufficient when user crafts request.
    @portfolio_item_target.assign_attributes(portfolio_item_target_params)
    respond_to do |format|
      if @portfolio_item_target.save
        format.html { redirect_to @portfolio_item_target.portfolio_item.portfolio_subject.redirect_after_item_create,  success: 'Gespeichert'}
      else
        flash.now[:danger] = 'Bitte prüfen Sie Ihre Eingaben'
        format.html { render :edit }
      end
    end
  end

  private
  def portfolio_item_target_params
    params.require(:portfolio_item_target).permit(
        :result_comment,:is_successful,
        results_attributes: [
            :id,:result_value,:result_comment,:evaluative_id,:evaluative_type,:result_scheme
        ]
    )
  end

end
