class PortfoliosController < ApplicationController

  def show
    @portfolio = ::Portfolio::Portfolio.where(id: params[:id]).take!
    authorize!(:read, @portfolio.subject)
    subjects_breadcrumb(@portfolio)
    subject_breadcrumb(@portfolio)
    add_breadcrumb "Aktuelle Regeln"
    respond_to do |format|
      format.html
    end
  end


  private

    def subjects_breadcrumb(portfolio)
      case portfolio.subject.class.name
        when 'Client'
          add_breadcrumb "SchülerInnen", :clients_path, title: "alle SchülerInnen anzeigen"
        when 'ClientGroup'
          add_breadcrumb "Einrichtung", institution_path(portfolio.portfolio_subject.institution), title: "#{portfolio.portfolio_subject.institution.name}"
      end

    end

    def subject_breadcrumb(portfolio)
      case portfolio.subject.class.name
        when 'Client'
          add_breadcrumb "#{view_context.show_person(portfolio.subject)}", dashboard_client_path(portfolio.subject), title: "Übersicht anzeigen"
        when 'ClientGroup'
          add_breadcrumb "Klasse #{portfolio.portfolio_subject.name}", client_group_path(portfolio.subject), title: "Klassenübersicht anzeigen"
      end
    end

end
