class AdvancementPlanBorrowsGrid < BaseGrid


  scope do
    AdvancementPlanBorrow.only_not_returned.joins(:teacher).joins(:institution).joins(:advancement_plan)
  end

  column(:title, header: "Titel")  do |i|
    format(i.advancement_plan.title) do |title|
      link_to title, advancement_plan_path(i.advancement_plan.catalog_id)
    end
  end
  column(:from_date, header: "Von") do |i|
    I18n.l(i.from_date,format: :short)
  end
  column(:to_date, header: "Bis") do |i|
    I18n.l(i.to_date,format: :short)
  end
  column(:to_date, header: "Einrichtung") do |i|
    i.institution.name
  end
  column(:actions,  header: '', style: 'width:100px', :html => true) do |i|
      "<form action='#{advancement_plan_borrow_path(i)}' method='post' >
        <input type='hidden' name='_method' value='put'>
        <input type='hidden' name='diagnostic_borrow[do_return]' value='1'>
        <div class='btn-group btn-group-nowrap btn-group-xs  pull-right' >
          <button type='submit' class='btn btn-success btn-sm'>
            <i class='glyphicon glyphicon-book'></i> Rückgabe
          </button>
      </div></form>".html_safe
  end


end