module CareerItemsHelper

  def show_career_item_change_text(career_item)

    if career_item.change_type == CareerItem::CHANGE_TYPE_CLIENT_GROUP
      if career_item.client_group_id.present?
        return "Besuch der Klasse #{show_client_group(career_item.client_group)} in #{show_institution(career_item.institution)}".html_safe
      else
        return "Klassenlos in #{show_institution(career_item.institution)}".html_safe
      end
    end
    if career_item.change_type == CareerItem::CHANGE_TYPE_INSTITUTION
      if career_item.institution_id.present?
        return "Besuch von #{show_institution(career_item.institution)}".html_safe
      else
        return "vom Schulbesuch befreit".html_safe
      end
    end
    if career_item.change_type == CareerItem::CHANGE_TYPE_LEVEL
      return "Förderstufe ist #{career_item.portfolio_level}".html_safe
    end
    if career_item.change_type == CareerItem::CHANGE_TYPE_TEACHER
      if career_item.teacher_id.present?
        return "Förderung durch #{show_teacher(career_item.teacher)} in  #{show_institution(career_item.institution)} ".html_safe
      else
        return "Keine Förderung in #{show_institution(career_item.institution)}}".html_safe
      end
    end

  end

  def show_career_item_duration(career_item)
    duration = l(career_item.start_at, format: :long) + " - "
    if career_item.end_at
      duration += l(career_item.end_at, format: :long)
    else
      duration += "heute"
    end
    duration
  end

end
