module PortfolioItemsHelper

  # soll das tab im edit/new zum dazuklicken angeboten werden?
  def target_agreements_form_tab_optional?(portfolio_item)
    return portfolio_item.portfolio_step.allows_one_of?([:evaluation,:target_agreements])
  end

  # soll das tab im edit/new zum dazuklicken angeboten werden?
  def measurements_form_tab_optional?(portfolio_item)
    return portfolio_item.portfolio_step.allows_one_of?([:diagnostic,:advancement_plan,:measurement,:diagnostic_measurement,:class_diagnostic])
  end

  # soll das tab im edit/new zum dazuklicken angeboten werden?
  def results_form_tab_optional?(portfolio_item)
    return true if portfolio_item.portfolio_step.allowed?(:results)
    return false
  end

  # soll das tab im show view ganz versteckt werden?
  def target_agreements_show_tab_visible?(portfolio_item)
    return true if portfolio_item.target_agreements.any?
    return false
  end

  # soll das tab im show view ganz versteckt werden?
  def measurements_show_tab_visible?(portfolio_item)
    return true if portfolio_item.diagnostics.any?
    return true if portfolio_item.advancement_plans.any?
    return true if portfolio_item.measurements.any?
    return true if portfolio_item.diagnostic_measurements.any?
    return true if portfolio_item.class_diagnostics.any?
    return false
  end

  # soll das tab im show view ganz versteckt werden?
  def results_show_tab_visible?(portfolio_item)
    # item hat ein result
    return true if portfolio_item.portfolio_step_result.present?
    return false
  end

  # soll das tab im edit/new ohne wahlmöglichkeit aktiv sein?
  def target_agreements_form_tab_mandatory?(portfolio_item)
    return true if portfolio_item.target_agreements.any?
    return true if portfolio_item.portfolio_step.item_requirements_validator.validates? 'target_agreements_present'
    return true if portfolio_item.portfolio.next_rule_has_condition?('target_agreement_present')
    return true if portfolio_item.portfolio.next_rule_has_condition?('evaluation_completion')
    return false
  end

  # soll das tab im edit/new ohne wahlmöglichkeit aktiv sein?
  def measurements_form_tab_mandatory?(portfolio_item)
    return true if portfolio_item.diagnostics.any?
    return true if portfolio_item.advancement_plans.any?
    return true if portfolio_item.measurements.any?
    # validation benötigt benötigt irgendwelche massnahmen
    return true if portfolio_item.portfolio_step.item_requirements_validator.validates? 'diagnostic_measurement_present'
    return true if portfolio_item.portfolio_step.item_requirements_validator.validates? 'measurement_present'
    return true if portfolio_item.portfolio_step.item_requirements_validator.validates? 'diagnostic_present'
    return true if portfolio_item.portfolio_step.item_requirements_validator.validates? 'advancement_plan_present'
    return true if portfolio_item.portfolio_step.item_requirements_validator.validates? 'class_diagnostic_present'
  end

  # soll das tab im edit/new ohne wahlmöglichkeit aktiv sein?
  def results_form_tab_mandatory?(portfolio_item)
    return true if portfolio_item.portfolio_step_result.present?
    # item erlaubt irgendwelche results
    return true if portfolio_item.portfolio_step.allowed?(:results)
    # ist schon gecheckt?
    return true if portfolio_item.raise_portfolio_level?
    return false
  end




end
