module AddressGeocoder
  class ResultWrapperFactory

    def self.createFromSearchString(search)
      result = Geocoder.search(search).pop
      if(result == nil)
        return nil
      end
      self.createFromGeocoderResult(result);
    end

    def self.createFromGeocoderResult(result)
      if result.is_a? Geocoder::Result::Google
        return AddressGeocoder::ResultWrapperGoogle.new(result)
      end
      raise Exception.new "Could not find wrapper class for #{result.class}"
    end

  end
end