class NormScale < ActiveRecord::Base
  belongs_to :diagnostic, inverse_of: :norm_scales
  validates_presence_of :diagnostic
  validates :name,  :avg, presence: true
  validates_presence_of :cut_off_low, :cut_off_sub_avg, :cut_off_high, :cut_off_above_avg, if: Proc.new { |n| n.std_dev.nil? }
  validates_uniqueness_of :name, scope: [ :diagnostic_id ]

  before_save do
    if self.avg && self.std_dev
      self.cut_off_low        = avg - ( 2 * std_dev )
      self.cut_off_sub_avg    = avg - std_dev
      self.cut_off_above_avg  = avg + std_dev
      self.cut_off_high       = avg + ( 2 * std_dev )
    end
  end

end
