module Notifications
  class EducationalCourseViolations < Base

    def subscribe_to
      [
          {
              klass: 'client',
              callback: 'after_save',
              handler: 'client_after_save'
          }
      ]
    end

    def create_notification(educational_course_rule,client)
      return Notification.new({
          content: educational_course_rule.violation_message,
          notificationable: client,
          institution_id: client.institution_id,
          client_id: client.id,
          start_at: DateTime.now,
          due_at: DateTime.now,
          prio: 2,
          identifier: Notification::IDENTIFIER_CLIENT_VIOLATED_COURSE_RULE
      })
    end

    def client_after_save(client)
      if client.changes.has_key? 'client_group_id'
        client.notifications.where(identifier: Notification::IDENTIFIER_CLIENT_VIOLATED_COURSE_RULE).destroy_all
        client.violated_course_rules.each do |educational_course_rule|
          create_notification(educational_course_rule,client).save(validate: false)
        end
      end
    end



  end
end