module Portfolio
  class DiagnosticInformalResultTeacher < ::ActiveRecord::Base
    self.table_name = 'portfolio_item_diagnostic_informal_result_teachers'
    self.inheritance_column = nil

    belongs_to :diagnostic_informal_result,
             foreign_key: :portfolio_item_diagnostic_informal_result_id,
             class_name: '::Portfolio::DiagnosticInformalResult',
             inverse_of: :portfolio_diagnostic_informal_result_teachers

    belongs_to :teacher,
               foreign_key: :teacher_id,
               inverse_of: :portfolio_item_diagnostic_informal_result_teachers,
               class_name: '::Teacher'

    validates_uniqueness_of :portfolio_item_diagnostic_informal_result_id, :scope => :teacher_id
    validates :diagnostic_informal_result, :teacher, presence: true


  end
end

