module Portfolio
  # actually, this should be ItemDocument, as it belongs to items
  class Document < ::ActiveRecord::Base
    self.table_name = 'portfolio_documents'
    self.inheritance_column = nil


    belongs_to :portfolio_item,
               foreign_key: :portfolio_item_id,
               class_name: '::Portfolio::Item',
               inverse_of: :portfolio_documents
    delegate :portfolio_subject, to: :portfolio_item

    belongs_to :portfolio_document_type,
               foreign_key: :portfolio_document_type_id,
               class_name: '::Portfolio::DocumentType',
               inverse_of: :portfolio_documents

    mount_uploader :file_name, ::PortfolioDocumentUploader


    def available_document_types
      ::Portfolio::DocumentType.where(portfolio_rule_set_id: portfolio_item.portfolio.rule_set_id)
    end

  end
end


