module Portfolio
  class ItemDiagnosticMeasurement < ::ActiveRecord::Base
    self.table_name = 'portfolio_item_diagnostic_measurements'
    self.inheritance_column = nil

    include ::Portfolio::Concerns::DiagnosticResultConcern

    belongs_to :portfolio_item,
               foreign_key: :portfolio_item_id,
               class_name: '::Portfolio::Item',
               inverse_of: :diagnostic_measurements
    delegate :portfolio_subject, to: :portfolio_item
    delegate :closed?, to: :portfolio_item


    alias_attribute :start, :begin

    validates_presence_of :portfolio_item
    validates :begin, presence: true
    validates :begin, date: true
    validates :begin, chronological_order: {fields: ['portfolio_item.start',:begin]}
    validates :content, length: { minimum: 50 }

  end
end

