module Portfolio
  class ItemInvolvedGuardian < ::ActiveRecord::Base
    self.table_name = 'portfolio_item_involved_guardians'
    self.inheritance_column = nil

    belongs_to :portfolio_item,
               foreign_key: :portfolio_item_id,
               class_name: '::Portfolio::Item',
               inverse_of: :portfolio_item_involved_guardians
    delegate :portfolio_subject, to: :portfolio_item

    belongs_to :guardian,
               foreign_key: :guardian_id,
                class_name: '::Guardian',
                inverse_of: nil



    def portfolio_subject_relation_description
      portfolio_subject.relation_description_for_guardian(guardian)
    end

    validates_uniqueness_of :portfolio_item_id, :scope => :guardian_id
    validates :portfolio_item, :guardian, presence: true

  end
end

