module Portfolio
  module Notifiers
    class Base
      attr_accessor :rule, :portfolio

      def show?
        raise ::StandardError.new('Implementation missing')
      end

      def create
        unless ::Notification
            .where('identifier=?',notification_type)
            .where('notificationable_type=?',portfolio.class.name)
            .where('notificationable_id=?',portfolio.id)
            .exists?
          do_create
        end
      end

      def destroy
        ::Notification
            .where('notificationable_type=?',portfolio.class.name)
            .where('notificationable_id=?',portfolio.id)
            .where("identifier = ?", notification_type)
        .each do |notification|
          notification.destroy
        end
      end

      private
      def notification_type
        "#{::Notification::PREFIX_IDENTIFIER_PORTFOLIO_RULE}/#{rule.position}/#{self.class.name.demodulize}"
      end

      def do_create
        raise ::StandardError.new('Implementation missing')
      end


    end
  end
end
