module Portfolio
  module Notifiers
    class RequiredStep  < Base
      attr_accessor :step
      attr_accessor :delay_display_sec
      attr_accessor :delay_due_after_display_sec


      def initialize
        @step = nil
        @delay_display_sec = 0
        @delay_due_after_display_sec = 0
      end

      def show?
        if portfolio.last_matching_item.nil?
          # sind die in der condition geforderten steps irgendwann schon erstellt worden?
          portfolio.portfolio_items.each do |following_item|
            return false if following_item.portfolio_step.name == step  # wenn ja, dann brauchen wir keine Notification,
          end
        else
          # sind die in der condition geforderten steps seit dem item, das die letzte regel aufgedeckt hat, erstellt worden?
          portfolio.portfolio_items.drop_while { |item| item.start <= portfolio.last_matching_item.start  }.each do |following_item|
            return false if following_item.portfolio_step.name == step  # wenn ja, dann brauchen wir keine Notification,
          end
        end
        return true
      end

      private
      def do_create
        notification = ::Notification.new
        notification.notificationable= portfolio
        notification.institution_id= portfolio.portfolio_subject.institution_id
        notification.client_id = portfolio.subject.id if portfolio.subject.is_a? ::Client
        notification.content= ::I18n.translate('system_notifications.portfolio_notifiers_required_step.content',
                                               subject: portfolio.portfolio_subject.name,
                                               step: step
        )
        notification.identifier=notification_type
        notification.prio= 0
        notification.due_at= DateTime.now +  @delay_display_sec.seconds + @delay_due_after_display_sec.seconds
        notification.start_at= DateTime.now + @delay_display_sec.seconds
        notification.save
        notification
      end


    end
  end
end
