class Semester < ActiveRecord::Base

  include Notificationable

  #--- Associations
  has_many :client_groups
  has_one :system_setting # as the currently active semester

  #--- Scopes
  # scope :current, -> { where(id: SystemSetting.get_instance.semester_id) }
  scope :following_and_current, -> { where('start >= ?', SystemSetting.get_instance.semester.start).order(start: :asc) }
  scope :following, -> { where('start > ?', SystemSetting.get_instance.semester.start).order(start: :asc) }
  scope :passed, -> { where('finish < ?', SystemSetting.get_instance.semester.finish).order(start: :asc) }

  def self.next
    where('start > ?', SystemSetting.get_instance.semester.start).order(start: :asc).first
  end

  def self.last
    where('finish < ?', SystemSetting.get_instance.semester.finish).order(start: :desc).first
  end

  def description
    name
  end

  def ends_in_days
    (finish - Date.today()).to_i
  end

  def lessons_half_in_days
    (lessons_half - Date.today()).to_i
  end



end
