module CsbApi
  class EducationalCourse < CsbApi::Base
    def self.table_name; "educational-courses"; end



    def build_model(ec = ::EducationalCourse.new)
      ec.attributes={
          id: read_attribute('id'),
          name: read_attribute('name'),
          valid_from: read_attribute('valid-from')
      }
      if relationships['educational-course-rules'].key? "data" # the records are included in the result set
          remotes = self.send('educational-course-rules').index_by(&:'course-stage-name')
          ec.educational_course_rules.each do |rule| # update
            if remotes.key? rule.course_stage_name
              remotes[rule.course_stage_name].populate_model(rule)
              remotes.delete rule.course_stage_name
            end
          end
          remotes.each_value do |resource|  # create
            ec.educational_course_rules << resource.build_model
          end
      end
      return ec
    end
    alias :populate_model :build_model

    # Represents the csb api resultset type "diagnostic-characteristic"
    #
    class EducationalCourseRule < CsbApi::Base
      def self.table_name; "educational-course-rules"; end

      def build_model(url = ::EducationalCourseRule.new)
        url.attributes = {
            name: read_attribute('name'),
            course_stage_name: read_attribute('course-stage-name'),
            min_duration_years: read_attribute('min-duration-years'),
            max_duration_years: read_attribute('max-duration-years'),
        }
        return url
      end

      alias :populate_model :build_model
    end

  end
end
