module Portfolio
  class EvaluationTimeSpanValidator  < ItemValidator

      attr_accessor :time_span_days_min, :time_span_days_max

      def initialize
        @time_span_days_min=nil
        @time_span_days_max=nil
      end

      # @param item ::Portfolio::Item
      def match?(item)
        unless @time_span_days_min.nil? || @time_span_days_max.nil?
          item.target_agreements.reject(&:marked_for_destruction?).each do |target|
            if target.evaluation.present?
              return false unless target.evaluation.end_date
              unless (target.evaluation.end_date - item.start >= @time_span_days_min && target.evaluation.end_date - item.start <= @time_span_days_max)
                return false
              end
            end
          end
        end
        return true
      end

    end
  end
