class EducationalCourses < ActiveRecord::Migration
  def up
    execute "ALTER TABLE educational_courses DROP CONSTRAINT educational_courses_pkey;"
    change_column(:educational_courses, :id, :string, null: false)
    execute "ALTER TABLE educational_courses ADD PRIMARY KEY (id);"
    execute "ALTER TABLE educational_courses ALTER id DROP DEFAULT;"
    change_column(:educational_course_rules, :educational_course_id, :string, null: false)
    execute "ALTER TABLE educational_course_rules ADD CONSTRAINT fk_ecr_on_ec_id FOREIGN KEY (educational_course_id)  REFERENCES educational_courses (id) ON DELETE CASCADE ON UPDATE CASCADE;"
    execute "CREATE INDEX idx_ecr_on_ec_id ON educational_course_rules(educational_course_id);"
    change_column(:educational_courses_institutions, :educational_course_id, :string, null: false)
    execute "ALTER TABLE educational_courses_institutions ADD CONSTRAINT fk_eci_on_ec_id FOREIGN KEY (educational_course_id)  REFERENCES educational_courses (id) ON DELETE CASCADE ON UPDATE CASCADE;"
    execute "CREATE INDEX idx_eci_on_ec_id ON educational_courses_institutions(educational_course_id);"
  end

  def down
    execute "DROP INDEX idx_eci_on_ec_id;"
    execute "ALTER TABLE educational_courses_institutions  DROP CONSTRAINT fk_eci_on_ec_id;"
    execute "ALTER TABLE educational_courses_institutions ALTER COLUMN educational_course_id TYPE integer USING educational_course_id::integer;"
    execute "DROP INDEX idx_ecr_on_ec_id;"
    execute "ALTER TABLE educational_course_rules DROP CONSTRAINT fk_ecr_on_ec_id;"
    execute "ALTER TABLE educational_course_rules ALTER COLUMN educational_course_id TYPE integer USING educational_course_id::integer;"
    execute "ALTER TABLE educational_courses DROP CONSTRAINT educational_courses_pkey;"
    execute "ALTER TABLE educational_courses ALTER COLUMN id TYPE integer USING id::integer;"
    execute "ALTER TABLE educational_courses ADD PRIMARY KEY (id);"
    execute "ALTER TABLE educational_courses ALTER id SET DEFAULT nextval('educational_courses_id_seq'::regclass);"
  end
end
