desc "post installation tasks"

task 'vsb:initialize'  => :environment do |task,args|
  Rake::Task["db:schema:load"].invoke
  Rake::Task["qc:update"].invoke
  Rake::Task["vsb:initialize:create_default_roles"].invoke
  Rake::Task["vsb:initialize:portfolio_specializations"].invoke
  Rake::Task["vsb:initialize:teacher_categories"].invoke
  Rake::Task["vsb:initialize:teacher_institution_categories"].invoke
  Rake::Task["vsb:sync_authorization_items"].invoke
  puts "initialize done"
end

task 'vsb:initialize:create_default_roles'  => :environment do |task,args|
  AuthRole.create_default_roles!
  puts "default auth roles created"
end

task 'vsb:initialize:teacher_institution_categories'  => :environment do |task,args|
  TeacherInstitutionCategory.create!(name: 'Leitungsposition', is_management: true)
  TeacherInstitutionCategory.create!(name: 'Keine Leitungsposition', is_management: false)
  puts "default teacher_institution_categories created"
end

task 'vsb:initialize:clear_teacher_categories'  => :environment do |task,args|
  TeacherCategory.destroy_all
  puts "teacher_categories cleared"
end

task 'vsb:initialize:teacher_categories'  => :environment do |task,args|
  TeacherCategory.create!(name: 'Lehramt an Grundschulen', is_special_ed: false, is_support_teacher: false)
  TeacherCategory.create!(name: 'Lehramt an Haupt-, Real- und Gesamtschulen', is_special_ed: false, is_support_teacher: false)
  TeacherCategory.create!(name: 'Lehramt an Gymnasien und Gesamtschulen', is_special_ed: false, is_support_teacher: false)
  TeacherCategory.create!(name: 'Lehramt an Berufskollegs', is_special_ed: false, is_support_teacher: false)
  TeacherCategory.create!(name: 'Lehramt für sonderpädagogische Förderung', is_special_ed: true, is_support_teacher: false)
  puts "default teacher_categories created"
end

task 'vsb:initialize:portfolio_specializations'  => :environment do |task,args|
  PortfolioSpecialization.create!(name: 'Emotionale und soziale Entwicklung', abbreviation: 'ESE' )
  PortfolioSpecialization.create!(name: 'Lernentwicklung', abbreviation: 'LE' )
  PortfolioSpecialization.create!(name: 'Sprachentwicklung', abbreviation: 'SQ' )
  PortfolioSpecialization.create!(name: 'geistige Entwicklung', abbreviation: 'GE' )
  PortfolioSpecialization.create!(name: 'körperlich motorische Entwicklung', abbreviation: 'KmE' )
  PortfolioSpecialization.create!(name: 'Hören und Kommunikation', abbreviation: 'HK' )
  PortfolioSpecialization.create!(name: 'Sehen', abbreviation: 'SE' )
  puts "default portfolio_specializations created"
end
